#!/bin/sh

[ ! -d /home/linutop/.config/xfce4 ] && exit 0

PERCHANNEL_DIR=/etc/xdg-lock/xfce4/xfconf/xfce-perchannel-xml
CHANNELS="keyboards \
thunar-volman \
xfce4-appfinder \
xfce4-keyboard-shortcuts \
xfce4-mixer \
xfce4-panel \
xfce4-power-manager \
xfce4-session \
xfce4-settings-manager \
xfwm4"

# note: don't include xfce4-desktop, it is handled in its own script

rm -rf /etc/xdg-lock
mkdir -p /etc/xdg-lock
cp -R /home/linutop/.config/xfce4 /etc/xdg-lock

for channel in $CHANNELS; do
    f=$PERCHANNEL_DIR/$channel.xml
    if [ -f $f ]; then
        sed -i 's/<channel /<channel unlocked="root" /' $f
    else
        cat > $f << EOF
<?xml version="1.0" encoding="UTF-8"?>
<channel unlocked="root" name="$channel" version="1.0">
</channel>
EOF
    fi
done

MENU=/etc/xdg/menus/xfce-applications.menu
sed -i '/xfce-settings-manager.desktop/d' $MENU

